###############
# Device Detector - The Universal Device Detection library for parsing User Agents
#
# @link https://matomo.org
# @license http://www.gnu.org/licenses/lgpl.html LGPL v3 or later
#
#  ATTENTION: This file may only include tv user agents that contain 'HbbTV/([1-9]{1}(\.[0-9]{1}){1,2})'
#
###############

# Airties
Airties:
  regex: 'Airties'
  device: 'tv'
  models:
    - regex: 'Airties; ?([^);/]+)'
      model: '$1'

# Altech UEC
'Altech UEC':
  regex: 'Altech UEC'
  device: 'tv'
  models:
    - regex: 'Altech UEC; ?([^);/]+)'
      model: '$1'

# BangOlufsen
BangOlufsen:
  regex: 'Bangolufsen'
  device: 'tv'
  model: 'BeoVision'

# Changhong
Changhong:
  regex: 'Changhong'
  device: 'tv'
  models:
    - regex: 'Changhong; ?([^);/]+)'
      model: '$1'

# CreNova
CreNova:
  regex: 'CreNova'
  device: 'tv'
  model: 'CNV001'

# DMM
DMM:
  regex: 'DMM'
  device: 'tv'
  model: 'Dreambox'

# Grundig
Grundig:
  regex: '(OWB|Grundig|Arcelik)'
  device: 'tv'
  model: ''

# Hisense
Hisense:
  regex: 'Hisense'
  device: 'tv'
  models:
    - regex: '(L[A-Z]{2,3}[0-9]{2}[A-Z][0-9]{3,4}[A-Z]{0,6}[0-9]?[A-Z]?)'
      model: '$1'
    - regex: '(H[A-Z]?[0-9]{2}[A-Z][0-9]{3,4}[A-Z]{0,4})'
      model: '$1'

# Humax
Humax:
  regex: 'Humax'
  device: 'tv'
  models:
    - regex: '(HD-FOX C|HD (FOX\+|NANO)|iCord (HD\+|MINI|Cable)|(CX|IR)HD-5100(C|S)|HM9503HD)'
      model: '$1'
    - regex: 'HMS1000S'
      model: 'HMS-1000S'
    - regex: 'Humax; ([^);/]+)'
      model: '$1'

# IKEA
Ikea:
  regex: 'Ikea'
  device: 'tv'
  models:
    - regex: '(LF1V[0-9]{3})'
      model: '$1'

# Intek
Intek:
  regex: 'Intek'
  device: 'tv'
  models:
    - regex: '(Vantage|VT-100|VT-1)'
      model: '$1'

# Inverto
Inverto:
  regex: 'Inverto'
  device: 'tv'
  models:
    - regex: 'inverto; ([^);/]+)'
      model: '$1'
    - regex: '(Volksbox Web Edition|Volksbox Essential|Volksbox II|Volksbox)'
      model: '$1'

# LG
LG:
  regex: 'LGE'
  device: 'tv'
  models:
    - regex: '(NetCast [0-9]{1}.[0-9]{1}|GLOBAL_PLAT3)'
      model: '$1'
    - regex: '(OLED[0-9]{2}[A-Z][0-9][A-Z])'
      model: '$1'
    - regex: 'LGE;? ?([0-9]{2}[A-Z]{2}[0-9]{2,4}[A-Z]?)'
      model: '$1'

# Loewe
Loewe:
  regex: 'Loewe'
  device: 'tv'
  models:
    - regex: '([A-Z]{2}[0-9]{3})'
      model: '$1'

# MediaTek
MediaTek:
  regex: 'MTK'
  device: 'tv'
  models:
    - regex: '(MT[0-9]{4})'
      model: '$1'

# Medion
Medion:
  regex: 'Medion'
  device: 'tv'
  models:
    - regex: '(MB[0-9]{2})'
      model: '$1'

# Metz
Metz:
  regex: 'Metz'
  device: 'tv'
  model: ''

# Panasonic
Panasonic:
  regex: 'Panasonic'
  device: 'tv'
  models:
    - regex: '(VIERA [0-9]{1,4})|(DIGA [A-Z]{1}[0-9]{4})'
      model: '$1'
    - regex: 'DIGA Webkit ([A-Z]{1}[0-9]{4})'
      model: 'DIGA $1'

# PEAQ
PEAQ:
  regex: 'PEAQ'
  device: 'tv'
  models:
    - regex: '(LF1V[0-9]{3})'
      model: '$1'

# Philips
Philips:
  regex: 'Philips|NETTV/'
  device: 'tv'
  models:
    - regex: 'Philips[,;] ?((?! )[^),;/]+)'
      model: '$1'
    - regex: 'NETTV/[0-9\.]{5}'
      model: 'NetTV Series'

# Samsung
Samsung:
  regex: 'Samsung|Maple_2011'
  device: 'tv'
  models:
    - regex: 'SmartTV(201[2-9])'
      model: 'Smart TV $1'
    - regex: 'Maple_2011'
      model: 'Smart TV 2011'

# Selevision
Selevision:
  regex: 'Selevision'
  device: 'tv'
  models:
    - regex: 'Selevision; (?:Selevision )?([^);/]+)'
      model: '$1'
    - regex: '(EMC1000i)'
      model: '$1'

# Sharp
Sharp:
  regex: 'Sharp'
  device: 'tv'
  models:
    - regex: 'Sharp[,;] ?((?! |HbbTV)[^),;/]+)'
      model: '$1'
    - regex: '(LE[0-9]{3}[A-Z]{0,3})'
      model: '$1'

# Skyworth
Skyworth:
  regex: 'Sky_worth'
  device: 'tv'
  models:
    - regex: 'Sky_worth;([^);/]+)'
      model: '$1'

# Smart
Smart:
  regex: 'Smart[^a-z]'
  device: 'tv'
  models:
    - regex: 'Smart; ([^);/]+)'
      model: '$1'
    - regex: '([A-Z]{2}[0-9]{2}|ZAPPIX)'
      model: '$1'

# Sony
Sony:
  regex: 'Sony'
  device: 'tv'
  models:
    - regex: '(KDL?-?[0-9]{2}[A-Z]{1,2}[0-9]{1,5})'
      model: '$1'

# TechniSat
TechniSat:
  regex: 'TechniSat'
  device: 'tv'
  models:
    - regex: '((DigiCorder|MultyVision|Digit) (ISIO S|ISIO C|ISIO))'
      model: '$1'

# TechnoTrend
TechnoTrend:
  regex: 'TechnoTrend'
  device: 'tv'
  models:
    - regex: '([A-Z]{1}-[0-9]{3})'
      model: '$1'

# Telefunken
Telefunken:
  regex: 'Telefunken'
  device: 'tv'
  models:
    - regex: '(MB[0-9]{2})'
      model: '$1'
# TCL
TCL:
  regex: 'TCL'
  device: 'tv'
  models:
    - regex: '(32D1820)'
      model: '$1'
    - regex: '(LF1V[0-9]{3})'
      model: '$1'

# Thomson
Thomson:
  regex: 'THOMSON[,]?|THOM'
  device: 'tv'
  models:
    - regex: '(TB28D19DHS-01|T28D18SFS-01B)'
      model: '$1 28.0"'
    - regex: '(T32RTM5040|T32D18SFS-01B)'
      model: '$1 32.0"'
    - regex: '(T43FSL5031|T43D18SFS-01B)'
      model: '$1 43.0"'
    - regex: '(T40D18SFS-01B)'
      model: '$1 40.0"'
    - regex: '(T49D18SFS-01B)'
      model: '$1 49.0"'
    - regex: '(T55D18[SD]FS-01B)'
      model: '$1 55.0"'
    - regex: '(LF1V[0-9]{3})'
      model: '$1'

# Toshiba
Toshiba:
  regex: 'Toshiba'
  device: 'tv'
  models:
    - regex: '(([0-9]{2}|DTV_)[A-Z]{2}[0-9]{1,3})'
      model: '$1'

# Vestel
Vestel:
  regex: 'Vestel'
  device: 'tv'
  models:
    - regex: '(MB[0-9]{2})'
      model: '$1'

# Videoweb
Videoweb:
  regex: 'videoweb|tv2n'
  device: 'tv'
  models:
    - regex: '(tv2n)'
      model: '$1'
    - regex: '(videowebtv)'
      model: 'VideoWeb TV'